// Level Preview Cache Class
// This is a core component that is meant to work with the Rainforest Defense menu.
// It loads through each scene and communicates with the Level Preview contained within.
// I've stopped using Level-Loaded caches around the time when the Alpha came out, but it's still being used in the menu, so it's stays for now.
using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class LevelPreviewCache : MonoBehaviour 
{
	public List<Texture2D> cache = new List<Texture2D>();
	
	static private LevelPreviewCache Instance = null;
	static public LevelPreviewCache GetInstance()
	{
		if (Instance == null)
		{
			Instance = (LevelPreviewCache)Object.FindObjectOfType(typeof(LevelPreviewCache));
		}
		return Instance;
	}
	
	void Awake()
	{
		Instance = this;
	}
}
